## org.hibernate
Class HibernateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AuditException, BatchFailedException, BeanIntrospectionException, CacheException, CallbackException, ClassLoadingException, ConfigurationException, EventListenerRegistrationException, IdentifierGenerationException, IllegalIdentifierException, ImportScriptException, InstantiationException, JDBCException, JdbcProxyException, JndiException, JndiNameException, JtaPlatformException, LazyInitializationException, LockingStrategyException, MappingException, MappingException, MultipleBagFetchException, NonUniqueDiscoveredSqlAliasException, NonUniqueObjectException, NonUniqueResultException, NotInstrumentedException, NullSynchronizationException, PersistentObjectException, PropertyAccessException, PropertyValueException, QueryException, ResourceClosedException, SerializationException, ServiceDependencyException, ServiceException, ServiceProxyGenerationException, SessionException, StaleStateException, TenantIdentifierMismatchException, TooManyRowsAffectedException, TransactionException, TransientObjectException, TypeMismatchException, UnknownAccessTypeException, UnknownInheritanceTypeException, UnknownPersisterException, UnknownProfileException, UnknownServiceException, UnknownUnwrapTypeException, UnresolvableObjectException, ValidationException, WrongClassException, XsdException

    public class HibernateException

extends RuntimeException

The base `Throwable` type for Hibernate.

Note that all `SQLExceptions` will be wrapped in some form of `JDBCException`.

See Also:
  `JDBCException`, Serialized Form

Constructor Summary
`HibernateException(String message)`
`HibernateException(String message, Throwable root)`
`HibernateException(Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HibernateException

    public HibernateException(String message)

### HibernateException

    public HibernateException(Throwable root)

### HibernateException

    public HibernateException(String message,
                              Throwable root)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.